$AdfDhtmlGoMenuItemPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlGoMenuItemPeer$$$$$GetSubIdDomElement$$($subElementId$$13$$) {
  var $component$$1812$$ = this.$getComponent$(), $rootElement$$148$$ = this.$getDomElement$();
  return $AdfMenuSubIdUtils$$.$getMenuItemElement$($component$$1812$$, $rootElement$$148$$, $subElementId$$13$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoMenuItemPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlGoMenuItemPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlGoMenuItemPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlGoMenuItemPeer$$$$$GetBestMatchSubId$$($childElement$$27$$) {
  var $component$$1813_subId$$40$$ = this.$getComponent$(), $rootElement$$149$$ = this.$getDomElement$();
  return($component$$1813_subId$$40$$ = $AdfMenuSubIdUtils$$.$getMenuItemBestMatchSubId$($component$$1813_subId$$40$$, $rootElement$$149$$, $childElement$$27$$)) ? $component$$1813_subId$$40$$ : $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$27$$, this)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoMenuItemPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlGoMenuItemPeer$$.prototype.$GetBestMatchSubId$});
